## tcl-fitstcl 2.3

=== Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	= 

HD_LIBRARY_ROOT		= fitstcl

HD_LIBRARY_SRC_c	= fitsCmds.c fitsInit.c fitsIO.c fitsTcl.c \
			  fitsUtils.c fvTcl.c tclShared.c

HD_CFLAGS		= -I${CFITSIO_DIR} ${HD_STD_CFLAGS}

HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}

HD_INSTALL_HEADERS	= fitsTcl.h fitsTclInt.h

HD_INSTALL_HELP		= fitsTcl.html

default: build-libfitstcl

all: default publish

include ${HD_STD_MAKEFILE}

# Get cfitsio source files and prepend ${CFITSIO_DIR} prefix to each filename.
CFITSIO_OBJ_TMP		= ${shell ${MAKE} -f ${CFITSIO_DIR}/Makefile cfitsioLibObjs | grep buffers}

CFITSIO_OBJ		= ${shell echo ${CFITSIO_OBJ_TMP} | sed "s: : ../../../heacore/cfitsio/:g" | sed "s:^:../../../heacore/cfitsio/:"}

${CFITSIO_OBJ}:
	@for file in ${CFITSIO_OBJ}; do \
		if [ ! -f $$file ]; then \
			echo "Cannot find CFITSIO object $$file"; exit 1; \
		fi; \
	done

WCSLIB_OBJ		= ../../../heacore/wcslib/C/wcstrig.o

${WCSLIB_OBJ}:
	@for file in ${WCSLIB_OBJ}; do \
		if [ ! -f $$file ]; then \
			echo "Cannot find WCS object $$file"; exit 1; \
		fi; \
	done

build-libfitstcl:
	@if [ "x${CFITSIO_OBJ}" = x ]; then \
		echo "CFITSIO_OBJ macro is empty";  exit 1; \
	fi
	${HD_MAKE} fitstcl HD_LIBRARY_ROOT=fitstcl \
		HD_LIBRARY_OBJ="${HD_LIBRARY_SRC_c:.c=.${OSUF}} ${CFITSIO_OBJ} ${WCSLIB_OBJ}"

=== debian/changelog ===
tcl-fitstcl (2.3-4) unstable; urgency=low

  * build-depend on libcfitsio-dev instead of libcfitsio3-dev. Closes: #761720
  * Update uploader e-mail
  * Update standards version to 3.9.6. No changes needed.
  * Run build time test as CI test as well

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Apr 2015 14:01:19 +0200

tcl-fitstcl (2.3-3) unstable; urgency=low

  * Push standards version to 3.9.5. No changes needed.
  * Propagate CPPFLAGS and LDFLAGS
  * Change maintainer and VCS location to debian-astro

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 14 Apr 2014 15:19:15 +0200

tcl-fitstcl (2.3-2) unstable; urgency=low

  * Add kFreeBSD and HURD support
  * Fix FTBS for mips, powerpc, s390, sparc

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 25 Sep 2012 14:55:00 +0200

tcl-fitstcl (2.3-1) unstable; urgency=low

  * Initial release. (Closes: #682692)

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 24 Aug 2012 15:13:13 +0200

=== debian/control ===
Source: tcl-fitstcl
Section: interpreters
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcfitsio-dev | libcfitsio3-dev,
               tcl-dev,
               wcslib-dev
Standards-Version: 3.9.6
Homepage: http://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/fitsTcl_home.html
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/tcl-fitstcl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/tcl-fitstcl.git

Package: tcl-fitstcl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tcl interface to FITS files
 fitsTcl is an extension to the Tcl language, providing simple access to
 astronomical data stored in FITS file format. fitsTcl implements a Tcl
 interface to the cfitsio library, developed by the HEASARC (High Energy
 Astrophysics Science Archive Research Center) at the NASA Goddard Space
 Flight Center.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-tcl-includes=/usr/include/tcl

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	( cd debian/tests; TCLLIBPATH=../.. tclsh all.tcl)
endif

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes

=== debian/tests/control ===
Tests: all.tcl
Depends: @

## tcl-fitstcl 2.4

=== debian/changelog ===
tcl-fitstcl (2.4-4build2) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:47:49 +0100

tcl-fitstcl (2.4-4build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:55:38 +0000

tcl-fitstcl (2.4-4) unstable; urgency=low

  [ Ole Streicher ]
  * Correct Vcs fields
  * set Multi-Arch: same as suggested by the MultiArch hinter
  * Update VCS fields to use salsa.d.o
  * Switch patch handling to gbp
  * Push Standards-Version to 4.3.0. Change remaining URLs to https
  * Push compat to 12
  * Add gitlab-ci.yml

  [ Helmut Grohne ]
  * Force a cross compiler via environment. Remove cross compilation error.
    (Closes: #922158)

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Feb 2019 22:10:15 +0100

tcl-fitstcl (2.4-3) unstable; urgency=low

  * Use libtclstub to be independent of the Tcl version
  * Update Standards-Version to 3.9.8. Use https for Vcs entries

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jun 2016 22:19:02 +0200

tcl-fitstcl (2.4-2) unstable; urgency=low

  * Convert to multiarch

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Jul 2015 15:39:41 +0200

tcl-fitstcl (2.4-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Jun 2015 17:35:43 +0200

tcl-fitstcl (2.3-6) unstable; urgency=low

  * Chdir to debian/tests to fix CI integration tests

 -- Ole Streicher <olebole@debian.org>  Tue, 19 May 2015 14:29:29 +0200

tcl-fitstcl (2.3-5) unstable; urgency=low

  * Add tcl dependencies to fix CI integration test

 -- Ole Streicher <olebole@debian.org>  Wed, 06 May 2015 13:40:44 +0200

=== debian/control ===
Source: tcl-fitstcl
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 12),
               dh-autoreconf,
               libcfitsio-dev | libcfitsio3-dev,
               tcl-dev,
               wcslib-dev
Standards-Version: 4.3.0
Homepage: https://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/fitsTcl_home.html
Vcs-Git: https://salsa.debian.org/debian-astro-team/tcl-fitstcl.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/tcl-fitstcl

Package: tcl-fitstcl
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, ${tcl:Depends}
Description: Tcl interface to FITS files
 fitsTcl is an extension to the Tcl language, providing simple access to
 astronomical data stored in FITS file format. fitsTcl implements a Tcl
 interface to the cfitsio library, developed by the HEASARC (High Energy
 Astrophysics Science Archive Research Center) at the NASA Goddard Space
 Flight Center.

=== debian/watch ===
# watch control file for uscan
version=3
https://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fitsTcl/fitsTcl-?(.+)\.tar\.gz

## tcl-fitstcl 2.5

=== debian/changelog ===
tcl-fitstcl (2.5-3) unstable; urgency=medium

  * Fix type declarations (Closes: #1075550)
  * Push Standards-Version to 4.7.0. No changes needed
  * Add Rules-Requires-Root: no to d/control

 -- Ole Streicher <olebole@debian.org>  Mon, 29 Jul 2024 21:05:57 +0200

tcl-fitstcl (2.5-2) unstable; urgency=medium

  * Switch back to unstable for transition

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Dec 2022 20:53:38 +0100

tcl-fitstcl (2.5-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.

  [ Aurelien Jarno ]
  * New upstream version 2.5. Closes: #1026237
  * Rediff and update patches
  * Switch to experimental to prepare transition of cfitsio

  [ Ole Streicher ]
  * Update short name of Expat (previous MIT) license
  * Push Standards-Version to 4.6.1 and dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Dec 2022 23:14:28 +0100

=== debian/control ===
Source: tcl-fitstcl
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libcfitsio-dev (>= 4.2.0),
               tcl-dev,
               wcslib-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/tcl-fitstcl
Vcs-Git: https://salsa.debian.org/debian-astro-team/tcl-fitstcl.git
Homepage: https://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/fitsTcl_home.html
Rules-Requires-Root: no

Package: tcl-fitstcl
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${tcl:Depends}
Description: Tcl interface to FITS files
 fitsTcl is an extension to the Tcl language, providing simple access to
 astronomical data stored in FITS file format. fitsTcl implements a Tcl
 interface to the cfitsio library, developed by the HEASARC (High Energy
 Astrophysics Science Archive Research Center) at the NASA Goddard Space
 Flight Center.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-tcl-includes=/usr/include/tcl

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	TCLLIBPATH=../.. tclsh debian/tests/all.tcl
endif

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes
